<?php

class appMessengerBackendActions extends stActions
{

    public function executeIndex()
    {
        
        $i18n = $this->getContext()->getI18N();

        $this->config = stConfig::getInstance('appMessengerBackend');
        
        $this->config->setCulture($this->getRequestParameter('culture', stLanguage::getOptLanguage()));
        
        if ($this->getRequest()->getMethod() == sfRequest::POST)
        {

            $this->config->set('enable', $this->getRequestParameter('messenger[enable]'));

            $this->config->set('fb_id', $this->getRequestParameter('messenger[fb_id]'), true);

            $this->config->set('color', $this->getRequestParameter('messenger[color]'));

            $this->config->set('logged_in_greeting', $this->getRequestParameter('messenger[logged_in_greeting]'), true);

            $this->config->set('logged_out_greeting', $this->getRequestParameter('messenger[logged_out_greeting]'), true);

            $this->config->set('bottom', $this->getRequestParameter('messenger[bottom]'));

            $this->config->save();

            stFastCacheManager::clearCache();
            
            $this->setFlash('notice', $i18n->__('Twoje zmiany zostały zapisane', null, 'stAdminGeneratorPlugin'));
            
            $this->redirect('appMessengerBackend/index?culture=' . $this->getRequestParameter('culture', stLanguage::getOptLanguage()));
        }

        if ($this->config->get('fb_id', $this->getRequestParameter('messenger[fb_id]'), true) != '')
        {

            $this->configuration_check = true;

        } else {

            $this->configuration_check = false;
            
        }
        
        $this->config->load();

    }

}