<?php use_helper('Object', 'Validation', 'ObjectAdmin', 'I18N', 'Date', 'VisualEffect', 'stAdminGenerator', 'stJQueryTools'); ?>
<?php $culture = $config->getCulture(); ?>

<?php echo st_get_admin_head(array('@appMessengerPlugin', __('Messenger'), '/images/backend/main/icons/appMessengerPlugin.png'), __('Konfiguracja'), array('shortcuts' => array('stConfigurationPlugin'), 'culture' => isset($culture) ? $culture : null, 'route' => isset($route) ? $route : null)); ?>

<div class="header" style="margin-top: -10px !important;">
    <?php include_partial('menu', array()) ?>
</div>

<style type=”text/css”>
#sf_admin_content_config .jquery_tooltip {
    width: 500px !important;
}
</style>

<div id="sf_admin_content">
    <?php if ($sf_flash->has('notice')): ?>
        <div class="save-ok" style="margin-top: 10px !important;">
            <h2><?php echo $sf_flash->get('notice') ?></h2>
        </div>
    <?php endif; ?>
    <div id="sf_admin_content_config">
        <?php echo form_tag('appMessengerBackend/index?culture='.$config->getCulture(), array('id' => 'sf_admin_edit_form', 'name' => 'sf_admin_edit_form', 'multipart' => true, 'class' => 'admin_form')) ?>
            <?php if (!$configuration_check): ?>
                <fieldset>
                    <h2><?php echo __('Sprawdzanie numeru Facebook ID');?></h2>
                    <div class="content">
                        <div class="row" style="margin-left: 20px; font-family: Helvetica, Arial, sans-serif; color: #555; line-height: 18px; font-size: 12px;">
                            <a href="https://findmyfbid.com/" target="_blank" style="text-decoration: underline; color: #555;"><?php echo __('Wejdź na stronę, sprawdź numer Facebook ID');?></a><?php echo __(' i podaj go w konfiguracji by korzystać z dodatku.'); ?>
                        </div>
                    </div>
                </fieldset>
            <?php endif ?>
            <fieldset style="margin-top: 10px !important;">
                <div class="st_fieldset-content">
                    <div class="form-row">
                        <?php echo label_for('messenger[enable]', __('Włącz'), array('style'=>'width: 250px')) ?>
                        <?php echo checkbox_tag('messenger[enable]',true,$config->get('enable')) ?>
                        <br class="st_clear_all">
                    </div>
                    <div class="form-row">
                        <?php echo label_for('messenger[fb_id]', __('Wpisz numer Facebook ID'), array('style'=>'width: 250px'))  ?>
                        <?php echo input_tag('messenger[fb_id]', $config->get('fb_id', null, true), array('maxlength'=>'255', 'style'=>'width: 200px', 'class'=>'error_input')) ?>
                        <br class="st_clear_all">
                    </div>
                    <div class="form-row">
                        <?php echo label_for('messenger[color]', __('Kolor czatu'), array('style'=>'width: 250px'))  ?>
                        <?php echo st_colorpicker_input_tag('messenger[color]', $config->get('color')) ?>
                        <br class="st_clear_all">
                    </div>
                    <div class="form-row">
                        <?php echo label_for('messenger[logged_in_greeting]', __('Powitanie zalogowanego użytkownika').'<a href="#" class="help" title="'.__('Maksymalnie 80 znaków').'"></a>', array('style'=>'width: 250px'))  ?>
                        <?php echo input_tag('messenger[logged_in_greeting]', $config->get('logged_in_greeting', null, true), array('maxlength'=>'255', 'style'=>'width: 200px', 'class'=>'error_input')) ?>
                        <br class="st_clear_all">
                    </div>
                    <div class="form-row">
                        <?php echo label_for('messenger[logged_out_greeting]', __('Powitanie niezalogowanego użytkownika').'<a href="#" class="help" title="'.__('Maksymalnie 80 znaków').'"></a>', array('style'=>'width: 250px'))  ?>
                        <?php echo input_tag('messenger[logged_out_greeting]', $config->get('logged_out_greeting', null, true), array('maxlength'=>'255', 'style'=>'width: 200px', 'class'=>'error_input')) ?>
                        <br class="st_clear_all">
                    </div>
                    <div class="form-row">
                        <?php echo label_for('messenger[bottom]', __('Odległość od dołu strony'), array('style'=>'width: 250px'))  ?>
                        <?php echo input_tag('messenger[bottom]', $config->get('bottom', null, true), array('style'=>'width: 40px', 'class'=>'error_input')) ?>
                        <br class="st_clear_all">
                    </div>
                </div>
            </fieldset>
            <?php echo st_get_admin_actions_head() ?>
                <?php echo st_get_admin_action('save', __('Zapisz', null, 'stAdminGeneratorPlugin'), null, array('name' => 'save')) ?>
            <?php echo st_get_admin_actions_foot() ?>
        </form>
    </div>
</div>
<br class="st_clear_all">
<?php echo st_get_admin_foot() ?>