<?php

class appMessengerFrontendComponents extends sfComponents
{
    public function executeMessenger()
    {
        $config = stConfig::getInstance(sfContext::getInstance(), 'appMessengerBackend');
        
        $this->messengerConfig = $config->load();

        $this->messengerConfig['fb_id'] = $config->get('fb_id', null, true);

        $this->messengerConfig['logged_in_greeting'] = $config->get('logged_in_greeting', null, true);

        $this->messengerConfig['logged_out_greeting'] = $config->get('logged_out_greeting', null, true);
        
        if ($this->messengerConfig['enable'] != 1 || $this->messengerConfig['fb_id'] == '') 
        {
            
            return sfView::NONE;
            
        }
        
        $this->smarty = new stSmarty('appMessengerFrontend');
        
    }
    
}